GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions | Variables
frame_settings.c File Reference
`#include "src/core/transport/chttp2/frame_settings.h"`
`#include "src/core/transport/chttp2/internal.h"`
`#include <string.h>`
`#include "src/core/debug/trace.h"`
`#include "src/core/transport/chttp2/frame.h"`
`#include "src/core/transport/chttp2_transport.h"`
`#include <grpc/support/log.h>`
`#include <grpc/support/useful.h>`

## Functions
gpr_slice | grpc_chttp2_settings_create (gpr_uint32 *old, const gpr_uint32 *new, gpr_uint32 force_mask, size_t count)
gpr_slice | grpc_chttp2_settings_ack_create (void)
grpc_chttp2_parse_error | grpc_chttp2_settings_parser_begin_frame (grpc_chttp2_settings_parser *parser, gpr_uint32 length, gpr_uint8 flags, gpr_uint32 *settings)
grpc_chttp2_parse_error | grpc_chttp2_settings_parser_parse (void *p, grpc_chttp2_transport_parsing *transport_parsing, grpc_chttp2_stream_parsing *stream_parsing, gpr_slice slice, int is_last)

## Variables
const grpc_chttp2_setting_parameters | grpc_chttp2_settings_parameters [GRPC_CHTTP2_NUM_SETTINGS]

## Function Documentation

gpr_slice grpc_chttp2_settings_ack_create | ( | void |  | ) |

gpr_slice grpc_chttp2_settings_create | ( | gpr_uint32 * | old,
|  | const gpr_uint32 * | new,
|  | gpr_uint32 | force_mask,
|  | size_t | count
| ) |  |

grpc_chttp2_parse_error grpc_chttp2_settings_parser_begin_frame | ( | grpc_chttp2_settings_parser * | parser,
|  | gpr_uint32 | length,
|  | gpr_uint8 | flags,
|  | gpr_uint32 * | settings
| ) |  |

grpc_chttp2_parse_error grpc_chttp2_settings_parser_parse | ( | void * | p,
|  | grpc_chttp2_transport_parsing * | transport_parsing,
|  | grpc_chttp2_stream_parsing * | stream_parsing,
|  | gpr_slice | slice,
|  | int | is_last
| ) |  |

## Variable Documentation

const grpc_chttp2_setting_parameters grpc_chttp2_settings_parameters[GRPC_CHTTP2_NUM_SETTINGS]

Initial value:
= {
{NULL, 0, 0, 0, GRPC_CHTTP2_DISCONNECT_ON_INVALID_VALUE},
{"HEADER_TABLE_SIZE", 4096, 0, 0xffffffff,
GRPC_CHTTP2_CLAMP_INVALID_VALUE},
{"ENABLE_PUSH", 1, 0, 1, GRPC_CHTTP2_DISCONNECT_ON_INVALID_VALUE},
{"MAX_CONCURRENT_STREAMS", 0xffffffffu, 0, 0xffffffffu,
GRPC_CHTTP2_DISCONNECT_ON_INVALID_VALUE},
{"INITIAL_WINDOW_SIZE", 65535, 0, 0xffffffffu,
GRPC_CHTTP2_DISCONNECT_ON_INVALID_VALUE},
{"MAX_FRAME_SIZE", 16384, 16384, 16777215,
GRPC_CHTTP2_DISCONNECT_ON_INVALID_VALUE},
{"MAX_HEADER_LIST_SIZE", 0xffffffffu, 0, 0xffffffffu,
GRPC_CHTTP2_CLAMP_INVALID_VALUE},
}
GRPC_CHTTP2_CLAMP_INVALID_VALUE
Definition: frame_settings.h:71
GRPC_CHTTP2_DISCONNECT_ON_INVALID_VALUE
Definition: frame_settings.h:72